Solid Edge Framework Type Library
GetDocumentUIDEx Method
Complete file path including File Name.
Specify the item-id of the item.
Returns ItemUID of the Item.
Returns RevUID of the Item.
Description
Get the ItemID, Rev, ItemUID and RevUID of the document
Syntax
Visual Basic
Public Sub GetDocumentUIDEx( _
   ByVal bstrFilename As String, _
   ByRef bstrItemId As String, _
   ByRef bstrItemRev As String, _
   ByRef bstrItemUID As String, _
   ByRef bstrRevUID As String _
) 
Parameters
bstrFilename
Complete file path including File Name.
bstrItemId
Specify the item-id of the item.
bstrItemRev
bstrItemUID
Returns ItemUID of the Item.
bstrRevUID
Returns RevUID of the Item.
Example
Imports System.Runtime.InteropServices

Public Class Form1

    Private Sub GetDocumentUIDEx_Click(sender As Object, e As EventArgs) Handles GetDocumentUIDEx.Click
        Dim objSEApplication As SolidEdgeFramework.Application = Nothing
        Dim objTCE As SolidEdgeFramework.SolidEdgeTCE = Nothing
        Dim majorVersion As Object = Nothing
        Dim completeVersion As Object = Nothing
        Dim UserName As String
        Dim Password As String
        Dim Group As String
        Dim Role As String
        Dim URL As String
        Dim bTeamCenterMode As Boolean
        Dim FileName As String = "C:\Users\xxx\AppData\Roaming\Unigraphics Solutions\Solid Edge\SEEC\http_xxxx_7001_tc\xxx\Default\001960-25957.par"
        Dim ItemID As String = ""
        Dim RevID As String = ""
        Dim ItemUID As String = ""
        Dim RevUID As String = ""


        Try
            objSEApplication = Marshal.GetActiveObject("SolidEdge.Application")
            objSEApplication.DisplayAlerts = False

            objTCE = objSEApplication.SolidEdgeTCE
            Call objTCE.GetTeamCenterMode(bTeamCenterMode)
            If bTeamCenterMode = False Then
                objTCE.SetTeamCenterMode(True)
            End If
            'Specify Server Credentials
            UserName = "abc"
            Password = "abc"
            Group = ""
            Role = ""
            URL = "http://Servername:8085/tc"

            Call objTCE.ValidateLogin(UserName, Password, Group, Role, URL)
            objTCE.GetDocumentUIDEx(FileName, ItemID, RevID, ItemUID, RevUID)


        Catch ex As Exception
            MsgBox(ex.ToString)
            Clipboard.SetText(ex.ToString)
        End Try
    End Sub
End Class
See Also

SolidEdgeTCE Object  | SolidEdgeTCE Members